## Reproducing market1501 experiments
    1.Unlabeled Samples Generated by GAN Improve the Person Re-identification Baseline in vitro
    [iccv 2017](http://openaccess.thecvf.com/content_ICCV_2017/papers/Zheng_Unlabeled_Samples_Generated_ICCV_2017_paper.pdf)
    2.Learning Discriminative Features with Multiple Granularity for Person Re-Identification
    [mm 2018](https://arxiv.org/pdf/1804.01438.pdf)
    3.Towards Good Practices on Building Effective CNN Baseline Model for Person Re-identification
    [arxiv](https://arxiv.org/pdf/1807.11042)

Considering the randomness for model training, these results may not be perfectly reproduced. A large number of experiments show that average result for our final model is 92.5 rank1 and 80.1 mAP, which is also get greatly improved compared with other results with resnet50 in Market1501.

Base setting with single query: 256*128, epoch=25,50,75, batch size=32, init lr=3.5e-4, add batch norm after feature layer, average pooling, w/o activation

result | rank1  | ran5 | rank10 | mAP
--- | --- | --- | --- | ---
baseline in paper 1 | 73.69 | - | - | 51.48
baseline in paper 2 | 87.5 | 94.9 | 96.7 | 71.4
result in paper 3 | 91.7 | - | - | 78.8
ours(base) | 88.7 | 95.5 | 96.7 | 72.2
ours(base, output 288*144) | 87.8 | 94.8 | 96.7 | 70.7
ours(pad 0 and crop) | 91.3 | 96.7 | 97.7 | 76.2
ours(pad 0 and crop, warm up epoch=5,25,50,75) | 90.9 | 96.3 | 97.6 | 76.0
ours(pad 0 and crop, warm up epoch=5,30,55,80) | 90.8 | 96.4 | 97.7 | 76.5
ours(pad 0 and crop, warm up epoch=10,30,55,80) | 90.6 | 96.5 | 97.7 | 76.0
ours(random erasing) | 88.39 | 95.9 | 97.5 | 72.9
ours(random erasing, warm up epoch=5,25,50,75) | 89.9 | 96.9 | 98.0 | 75.6
ours(random erasing, warm up epoch=5,30,55,80) | 89.3 | 97.8 | 97.8 | 74.9
ours(random erasing, warm up epoch=10,30,55,80) | 90.4 | 96.3 | 97.7 | 75.7
ours(pad 0 and crop + random erasing) | 89.2 | 96.2 | 97.5 | 73.8
ours(batch size=48) | 86.1 | 94.1 | 96.3 | 69.7
ours(batch size=64) | 86.7 | 94.2 | 95.9 | 70.0
ours(max pooling) | 88.4 | 95.2 | 96.6 | 72.3
ours(max pooling + average pooling) | 88.7 | 95.2 | 96.8 | 72.4
ours(no scale and bais after bn) | 88.4 | 95.5 | 97.1 | 70.2  
ours(no bais after bn) | 88.8 | 95.8 | 97.2 | 72.9
ours(no scale after bn) | 88.4 | 95.6 | 97.4 | 70.8
ours(relu) | 85.7 | 93.9 | 96.3 | 69.1
ours(remove downsample in last block) | 91.6 | 96.4 | 97.8 | 78.9
ours(384*128) | 89.1 | 95.7 | 97.1 | 74.1
ours(max+avg) | 92.0 | 96.6 | 97.9 | 79.7
ours(max) | 92.4 | 96.8 | 97.8 | 78.7
ours(avg) | 92.5 | 97.2 | 98.3 | 80.1
ours(best, with avg) | 93.1 | 97.1 | 98.4 | 80.6


**Download Market1501 Dataset and Make Label List**

```bash
cd ../../../scripts/datasets/
python market1501.py
```
if the dataset can not be downloaded successfully, please download the dataset from [baidu](https://pan.baidu.com/s/1ntIi2Op) or [google](https://drive.google.com/file/d/0B8-rUzbwVRk0c054eEozWG9COHM/view?usp=sharing), rename it `Market-1501-v15.09.15.zip`, and move to `scripts/datasets/`.

**Train Model:**

```bash
python train.py
```

**Extract Feature and Evaluate Performance:**

```bash
python test.py
```
